Subject: Re: [armd] Layer 2 vs Layer 3 in data centers

From: "Mcdysan, David E" <[email-masked]>
Date: Mon, 4 Apr 2011 08:26:03 -0400

Hi Benson,

A possible clarification that you mentioned was  that of "Ephemeral Drafts"  where all references (including those not specifically dealing with ARP/ND) could be retained.

I think what is being requested from operators is scenarios where a large flat L2 network is desired, but ARP and/or ND scaling prevents the operator from doing this. It would be most helpful to not restrict the problem statement to just what are the statistics and behavior (since if there is truly a problem some form of workaround would have been done), but ask the operators to input what sorts of problems they see as best being solved by a large flat L2 network that would use ARP and/or ND.

As you point out, the WG is focused on ARP/ND, but the survey may in fact point to forms of solution that are not modifications to or extensions of ARP and ND.

In my interpretation, the scope is recommendations to avoid or minimize issues caused by (existing implementation problems that cannot be effectively solved with) ARP/ND

Thanks,

Dave

From: Benson Schliesser <[email-masked]<mailto:[email-masked]>>
Date: Thu, 31 Mar 2011 10:15:32 -0400
To: Rahul Aggarwal <[email-masked]<mailto:[email-masked]>>
Cc: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: Re: [armd] Layer 2 vs Layer 3 in data centers

Rahul -

On 3/31/11 7:54 AM, "Rahul Aggarwal" <[email-masked]> wrote:

> Your reading of the charter is fairly different from mine and also that of
> other people as shown by comments made in the meeting yesterday. The
> charter as written is not "narrow". For example from the charter:

My reading of the charter is consistent with the direction of our ADs.  If the charter text needs to be updated, to make clear the IESG's intent, then we can discuss that.

> "Problem statement and review of current L2/L3 architectures"
>
> "Recommendations on data center L2/L3 architectures and
> identification of opportunities for protocol development work"
>
> Why do you think the above statements in the charter are "narrow"?

To be perfectly clear: I didn't write our current charter; I was asked to help manage the WG after it was written.  My personal view is that the above statements, taken by themselves, are so broad as to be meaningless in the context of a working group - they do not lead us toward a specific / actionable goal.  Thus, they must be interpreted in the context of our objectives: to define possible scale problems in L3-L2 address resolution.

During yesterday's ARMD session I presented an overview of our charter and problem statement scope.  You can review the presentation slides at http://tools.ietf.org/agenda/80/slides/armd-4.pdf.  At this time, contributions to the WG will be held against that standard.  If you want to work on something else, then ARMD is not the working group you’re looking for.  But I encourage you to contribute within the WG scope.

Cheers,
-Benson